Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class DeleteBusiness

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request
            |
            +--weblogic.uddi.client.structures.request.UpdateRequest
                  |
                  +--weblogic.uddi.client.structures.request.DeleteBusiness

public class DeleteBusiness
extends UpdateRequest

The delete_business message is used to remove one or more businessEntity structures.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`authInfo`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`DeleteBusiness()` Class constructor.

Method Summary
`void` | `addBusinessKey(java.lang.String businessKey)` Add a new BusinessKey to the set of BusinessKeys
`java.util.Vector` | `getBusinessKeyVector()` Gets the current set of BusinessKeys
`void` | `setBusinessKeyVector(java.util.Vector keyVector)` Sets the new set of BusinessKeys

Methods inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`getAuthInfo, setAuthInfo`

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteBusiness

    public DeleteBusiness()

  Class constructor.

Method Detail

### addBusinessKey

    public void addBusinessKey(java.lang.String businessKey)

  Add a new BusinessKey to the set of BusinessKeys

  Parameters:
    `businessKey` - Value of BusinessKey

### setBusinessKeyVector

    public void setBusinessKeyVector(java.util.Vector keyVector)

  Sets the new set of BusinessKeys

  Parameters:
    `keyVector` - New set of BusinessKeys

### getBusinessKeyVector

    public java.util.Vector getBusinessKeyVector()

  Gets the current set of BusinessKeys

  Returns:
    Set of BusinessKeys

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference